Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cactus.internal.server.runner
Class XMLTransformer

    java.lang.Object
      org.apache.cactus.internal.server.runner.XMLTransformer

public class XMLTransformer
extends java.lang.Object

Helper class that handles the transformation of the XML test results to some output format determined by a stylesheet.

Since:
  Cactus 1.5
Version:
  $Id: XMLTransformer.java 238991 2004-05-22 11:34:50Z vmassol $

Constructor Summary
`XMLTransformer(java.io.InputStream theStylesheet)` Constructor.

Method Summary
`java.lang.String` | `getContentType()` Returns the content type that will be produced by the XSLT stylesheet after transformation.
`void` | `transform(java.io.Reader theXml, java.io.Writer theWriter)` Performs the actual transformation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLTransformer

    public XMLTransformer(java.io.InputStream theStylesheet)
                   throws javax.xml.transform.TransformerConfigurationException

  Constructor.

Parameters:
  `theStylesheet` - The input stream for the stylesheet to use for the transformations
Throws:
  `javax.xml.transform.TransformerConfigurationException` - if an error occurs when creating the XSL templates

Method Detail

### getContentType

    public java.lang.String getContentType()

  Returns the content type that will be produced by the XSLT stylesheet after transformation.

  Returns:
    The content type

### transform

    public void transform(java.io.Reader theXml,
                          java.io.Writer theWriter)
                   throws javax.xml.transform.TransformerException

  Performs the actual transformation.

  Parameters:
    `theXml` - The XML source to transform
    `theWriter` - The writer to which the transformation result should be written.
  Throws:
    `javax.xml.transform.TransformerException` - if an error occurs when applying the XSL template to the XML source

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.